Get reports list for specific type

Returns paginated list of reports available for current user and specified type.

User should have proper access scope to list reports with specified type.

  • If user has 'reports:r' or 'basic' scope (legacy) - all report types are available.
  • If user has specific scope for report type - only reports with that type are available.

Report types and required scopes:

Report TypeRequired Scope
HHRreports.hhr:r
DNAreports.dna:r
BLOODreports.blood:r

Pagination and sorting is done in standard way using

  • page number (0..N), default is 0
  • page size (1..N), default is unlimited
  • sorting by field and direction (asc, desc), default is by 'dateTo,desc', allowed fields are 'dateFrom', 'dateTo', 'createdAt'
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required
Allowed:
Query Params
integer
Defaults to 0

Zero-based page index (0..N)

integer
Defaults to 20

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
Responses

400

Bad Request

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json